curl --request GET \
--url https://rest.kyckr.com/core/filing/order-status/{orderedWithin} \
--header 'Authorization: <api-key>'import requests
url = "https://rest.kyckr.com/core/filing/order-status/{orderedWithin}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://rest.kyckr.com/core/filing/order-status/{orderedWithin}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"aVAILABLEField": 1,
"aWAITING_DELIVERYField": 0,
"dELIVERY_ERRORField": 0,
"accountIdField": 0,
"nodeIdField": "GBR_1000",
"orderDateTimeField": "2021-01-15T16:05:27.927",
"orderReferenceField": "",
"productIdField": "",
"descriptionField": "Company Profile / KYCKR LIMITED / €2.35 / United Kingdom",
"productOrderIdField": 10818754,
"replyDateTimeField": null,
"sentToClientField": false,
"statusField": 3,
"urlField": "https://data.kyckr.com/8010gdsg4848484",
"userIdField": null,
"formatField": ""
},
{
"aVAILABLEField": 1,
"aWAITING_DELIVERYField": 0,
"dELIVERY_ERRORField": 0,
"accountIdField": 0,
"nodeIdField": "GBR_1000",
"orderDateTimeField": "2021-01-14T16:50:17.57",
"orderReferenceField": "",
"productIdField": "",
"descriptionField": "CH_OfficialProfile_2 / Doe, John / €1.09 / United Kingdom",
"productOrderIdField": 10816797,
"replyDateTimeField": null,
"sentToClientField": false,
"statusField": 3,
"urlField": "https://data.kyckr.com/105844dsfd8",
"userIdField": null,
"formatField": ""
},
{
"aVAILABLEField": 1,
"aWAITING_DELIVERYField": 0,
"dELIVERY_ERRORField": 0,
"accountIdField": 0,
"nodeIdField": "GBR_1000",
"orderDateTimeField": "2021-01-13T18:11:04.087",
"orderReferenceField": "",
"productIdField": "",
"descriptionField": "CH_OfficialProfile_2 / Doe, John, Franky / €1.09 / United Kingdom",
"productOrderIdField": 10815404,
"replyDateTimeField": null,
"sentToClientField": false,
"statusField": 3,
"urlField": "https://data.kyckr.com/124719gfdsg4854840",
"userIdField": null,
"formatField": ""
}
]Order Status
Retrieve a list of products you have ordered, including filing documents and enhanced company profile orders, placed within the specified number of days. Use this endpoint to track async order completion: match productOrderIdField against the transactionIdField from a pending-response body, and retrieve completed results from urlField or structuredDataUrlField when statusField indicates completion.
Authorizations
Path Parameters
This is the number of days you wish to go back to retrieve products. Maximum number of days is 30 and minimum is 0 (which means today).
0 <= x <= 30Response
In this example, we a retrieving a list of products we have has ordered in the last 30 days. In the request parameters, we have entered 30 as the OrderedWithin and our API access token as the request header.
Order status (see related guide)
1, 2, 3, 5, 9, 21